![image](https://user-images.githubusercontent.com/69138026/156125650-a2f7cd40-0a20-439d-bf1f-70c4c1da9227.png)

Hyperdocs is the simplest way you can create documentation for your project. It blends the best of all the other documentation tools in one.

**Hyperdocs** requires no configuration and yet is highly customizable. You just need to have a bunch of markdown files in a /docs directory and Hyperdocs will take care of the rest.

View demo [here](https://hyperdocs.netlify.app/hashnode/docs)

[Here's How I built Hyperdocs](https://lalit2005.hashnode.dev/hyperdocs)

## Some handly links

- Hyperdocs website - https://hyperdocs.netlify.app/
- GitHub Repo - https://github.com/lalit2005/hyperdocs
- Hyperdocs Documentation - https://hyperdocs.netlify.app/hyperdocs/docs
- Hyperdocs vs Docusaurus - https://hyperdocs.netlify.app/hyperdocs/docs/vs-docusaurus

## Features

- ✅ **No configuration** required.
- ✅ **No rebuilds** or dealing with hosting providers needed.
- ✅ Built in **blog** for your project.
- ✅ **Premade compoenents** for your docs such as callouts, tooltips, react live code preview, etc. all inside markdown.
- ✅ Built in **feedback collection widget**.
- ✅ Ability to add **custom domains**/subdomains for your site.
- ✅ Super fast documentation and blogs hosted on edge on **Netlify**.
- ✅ Use different themes and plugins to enhance the look and feel of your documentation.
- ✅ A beautiful homepage that can be customized.
- ✅ Auto updating docs site that fetches content from GitHub repo periodically.
- ✅ Dark mode for all pages.
- ✅ Ability to use jsx inside markdown.
- ✅ Dashboard to manage your docs site.
- ✅ Support for private repositories.

## Support

If you would like to support me, you can by me a coffee [here](https://www.buymeacoffee.com/lalitcodes)

## Stats

![Stats](https://repobeats.axiom.co/api/embed/023417e740610fab743aadbd051ec40dad00c63f.svg 'Repobeats analytics image')

---

[Get started now (totally free) →](https://hyperdocs.netlify.app/signup)

![image](https://user-images.githubusercontent.com/69138026/156126230-2dacf7bf-7d61-4ffd-a7f1-2e2632d83875.png)
